1

I'm trying to compile ghostpdl 9.07 on V5R4 in QP2TERM (the AIX-like PASE environment).

After downloading and untarring the package to /QOpenSys, I ran:

CALL QP2TERM

and then in QP2TERM:

./configure --build="powerpc-ibmaix5.3.0.0"
gmake

This ended with the error:

In file included from ../gs/base/gp_psync.c:20:                
/usr/include/pthread.h:582: error: parse error before '*' token
/usr/include/pthread.h:585: error: parse error before '*' token
/usr/include/pthread.h:589: error: parse error before '*' token
/usr/include/pthread.h:592: error: parse error before '*' token
/usr/include/pthread.h:595: error: parse error before '*' token
/usr/include/pthread.h:598: error: parse error before '*' token
/usr/include/pthread.h:601: error: parse error before '*' token
/usr/include/pthread.h:604: error: parse error before '*' token
/usr/include/pthread.h:607: error: parse error before '*' token
/usr/include/pthread.h:611: error: parse error before '*' token
/usr/include/pthread.h:614: error: parse error before '*' token
/usr/include/pthread.h:625: error: parse error before '*' token
/usr/include/pthread.h:629: error: parse error before '*' token
/usr/include/pthread.h:652: error: parse error before '*' token
/usr/include/pthread.h:655: error: parse error before '*' token
/usr/include/pthread.h:658: error: parse error before '*' token
/usr/include/pthread.h:661: error: parse error before '*' token
/usr/include/pthread.h:664: error: parse error before '*' token
/usr/include/pthread.h:672: error: parse error before '*' token
/usr/include/pthread.h:675: error: parse error before '*' token
/usr/include/pthread.h:678: error: parse error before '*' token
/usr/include/pthread.h:681: error: parse error before '*' token
/usr/include/pthread.h:689: error: parse error before '*' token
/usr/include/pthread.h:693: error: parse error before '*' token
/usr/include/pthread.h:696: error: parse error before '*' token
gmake[2]: *** [obj/gp_psync.o] Error 1                         
gmake[2]: Leaving directory `/QOpenSys/ghostpdl-9.07/main'     
gmake[1]: *** [pdl-product] Error 2                            
gmake[1]: Leaving directory `/QOpenSys/ghostpdl-9.07/main'     
gmake: *** [pcl] Error 2     

Some googling made me believe that installing pth-1.4.0-2.aix4.3.ppc.rpm and pth-devel-1.4.0-2.aix4.3.ppc.rpm would help rectify things, but gmake yielded the same error afterward.

Other forums suggested an old version of gcc was the culprit (3.x) but running:

gcc -v

yields:

Using built-in specs.                                                        
Target: powerpc-ibm-aix5.1.0.0                                               
Configured with: ../configure --with-as=/usr/bin/as --with-ld=/usr/bin/ld --d
isable-nls --enable-languages=c,c++ --prefix=/opt/freeware --enable-threads -
-enable-version-specific-runtime-libs --host=powerpc-ibm-aix5.1.0.0          
Thread model: aix                                                            
gcc version 4.0.0    
2
0

The issue is m_setjmp.h (make will throw '_UKJBLEN' undeclared here (not in a function) error) you'll need to get AIX to TL5 (tech level 5). To my knowledge this is not possible in PASE on V5R4, you'll need to get an AIX machine that's at TL5 to compile; you can then use the compiled executable in PASE.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.